| Name                      | Version     | License                                                                                                        | Author                                                                                                                      | URL                                                                  | Description                                                                                                |
|---------------------------|-------------|----------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------|
| Mako                      | 1.3.8       | MIT License                                                                                                    | Mike Bayer                                                                                                                  | https://www.makotemplates.org/                                       | A super-fast templating language that borrows the best ideas from the existing templating languages.       |
| MarkupSafe                | 3.0.2       | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/pallets/markupsafe/                               | Safely add untrusted strings to HTML/XML markup.                                                           |
| PyYAML                    | 6.0.2       | MIT License                                                                                                    | Kirill Simonov                                                                                                              | https://pyyaml.org/                                                  | YAML parser and emitter for Python                                                                         |
| Pygments                  | 2.19.1      | BSD License                                                                                                    | Georg Brandl <georg@python.org>                                                                                             | https://pygments.org                                                 | Pygments is a syntax highlighting package written in Python.                                               |
| SQLAlchemy                | 2.0.37      | MIT License                                                                                                    | Mike Bayer                                                                                                                  | https://www.sqlalchemy.org                                           | Database Abstraction Library                                                                               |
| XlsxWriter                | 3.2.1       | BSD License                                                                                                    | John McNamara                                                                                                               | https://github.com/jmcnamara/XlsxWriter                              | A Python module for creating Excel XLSX files.                                                             |
| alembic                   | 1.14.1      | MIT License                                                                                                    | Mike Bayer                                                                                                                  | https://alembic.sqlalchemy.org                                       | A database migration tool for SQLAlchemy.                                                                  |
| appnope                   | 0.1.4       | BSD License                                                                                                    | Min Ragan-Kelley                                                                                                            | http://github.com/minrk/appnope                                      | Disable App Nap on macOS >= 10.9                                                                           |
| arviz                     | 0.20.0      | Apache Software License                                                                                        | ArviZ Developers                                                                                                            | http://github.com/arviz-devs/arviz                                   | Exploratory analysis of Bayesian models                                                                    |
| asttokens                 | 3.0.0       | Apache 2.0                                                                                                     | Dmitry Sagalovskiy, Grist Labs                                                                                              | https://github.com/gristlabs/asttokens                               | Annotate AST trees with source code positions                                                              |
| attrs                     | 24.3.0      | UNKNOWN                                                                                                        | Hynek Schlawack <hs@ox.cx>                                                                                                  | https://www.attrs.org/en/stable/changelog.html                       | Classes Without Boilerplate                                                                                |
| bandit                    | 1.8.2       | Apache Software License                                                                                        | PyCQA                                                                                                                       | https://bandit.readthedocs.io/                                       | Security oriented static analyser for python code.                                                         |
| cachetools                | 5.5.1       | MIT License                                                                                                    | Thomas Kemmer                                                                                                               | https://github.com/tkem/cachetools/                                  | Extensible memoizing collections and decorators                                                            |
| catboost                  | 1.2.7       | Apache License, Version 2.0                                                                                    | CatBoost Developers                                                                                                         | https://catboost.ai                                                  | CatBoost Python Package                                                                                    |
| category_encoders         | 2.8.0       | Other/Proprietary License                                                                                      | PaulWestenthanner                                                                                                           | UNKNOWN                                                              | A package for encoding categorical variables for machine learning                                          |
| certifi                   | 2024.12.14  | Mozilla Public License 2.0 (MPL 2.0)                                                                           | Kenneth Reitz                                                                                                               | https://github.com/certifi/python-certifi                            | Python package for providing Mozilla's CA Bundle.                                                          |
| cfgv                      | 3.4.0       | MIT License                                                                                                    | Anthony Sottile                                                                                                             | https://github.com/asottile/cfgv                                     | Validate configuration and produce human readable error messages.                                          |
| charset-normalizer        | 3.4.1       | MIT License                                                                                                    | "Ahmed R. TAHRI" <tahri.ahmed@proton.me>                                                                                    | https://github.com/jawah/charset_normalizer/blob/master/CHANGELOG.md | The Real First Universal Charset Detector. Open, modern and actively maintained alternative to Chardet.    |
| click                     | 8.1.8       | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/pallets/click/                                    | Composable command line interface toolkit                                                                  |
| cloudpickle               | 3.1.1       | BSD License                                                                                                    | The cloudpickle developer team                                                                                              | https://github.com/cloudpipe/cloudpickle                             | Pickler class to extend the standard pickle.Pickler functionality                                          |
| colorama                  | 0.4.6       | BSD License                                                                                                    | Jonathan Hartley <tartley@tartley.com>                                                                                      | https://github.com/tartley/colorama                                  | Cross-platform colored terminal text.                                                                      |
| colorlog                  | 6.9.0       | MIT License                                                                                                    | Sam Clements                                                                                                                | https://github.com/borntyping/python-colorlog                        | Add colours to the output of Python's logging module.                                                      |
| comm                      | 0.2.2       | BSD License                                                                                                    | Jupyter contributors                                                                                                        | https://github.com/ipython/comm                                      | Jupyter Python Comm implementation, for usage in ipykernel, xeus-python etc.                               |
| cons                      | 0.4.6       | DFSG approved; GNU Lesser General Public License v3 or later (LGPLv3+)                                         | Brandon T. Willard                                                                                                          | https://github.com/pythological/python-cons                          | An implementation of Lisp/Scheme-like cons in Python.                                                      |
| contourpy                 | 1.3.1       | BSD License                                                                                                    | Ian Thomas <ianthomas23@gmail.com>                                                                                          | https://github.com/contourpy/contourpy                               | Python library for calculating contours of 2D quadrilateral grids                                          |
| cramjam                   | 2.9.1       | MIT                                                                                                            | Miles Granger <miles59923@gmail.com>                                                                                        | https://github.com/milesgranger/pyrus-cramjam                        | Thin Python bindings to de/compression algorithms in Rust                                                  |
| cycler                    | 0.12.1      | BSD License                                                                                                    | Thomas A Caswell <matplotlib-users@python.org>                                                                              | https://matplotlib.org/cycler/                                       | Composable style cycles                                                                                    |
| debugpy                   | 1.8.12      | MIT License                                                                                                    | Microsoft Corporation                                                                                                       | https://aka.ms/debugpy                                               | An implementation of the Debug Adapter Protocol for Python                                                 |
| decorator                 | 5.1.1       | BSD License                                                                                                    | Michele Simionato                                                                                                           | https://github.com/micheles/decorator                                | Decorators for Humans                                                                                      |
| defusedxml                | 0.7.1       | Python Software Foundation License                                                                             | Christian Heimes                                                                                                            | https://github.com/tiran/defusedxml                                  | XML bomb protection for Python stdlib modules                                                              |
| distlib                   | 0.3.9       | Python Software Foundation License                                                                             | Vinay Sajip                                                                                                                 | https://github.com/pypa/distlib                                      | Distribution utilities                                                                                     |
| et_xmlfile                | 2.0.0       | MIT License                                                                                                    | See AUTHORS.txt                                                                                                             | https://foss.heptapod.net/openpyxl/et_xmlfile                        | An implementation of lxml.xmlfile for the standard library                                                 |
| etuples                   | 0.3.9       | Apache Software License                                                                                        | UNKNOWN                                                                                                                     | http://github.com/pythological/etuples                               | Python S-expression emulation using tuple-like objects.                                                    |
| exceptiongroup            | 1.2.2       | MIT License                                                                                                    | Alex Grönholm <alex.gronholm@nextday.fi>                                                                                    | https://github.com/agronholm/exceptiongroup/blob/main/CHANGES.rst    | Backport of PEP 654 (exception groups)                                                                     |
| executing                 | 2.1.0       | MIT License                                                                                                    | Alex Hall                                                                                                                   | https://github.com/alexmojaki/executing                              | Get the currently executing AST node of a frame, and other information                                     |
| fastjsonschema            | 2.21.1      | BSD License                                                                                                    | Michal Horejsek                                                                                                             | https://github.com/horejsek/python-fastjsonschema                    | Fastest Python implementation of JSON schema                                                               |
| fastparquet               | 2024.11.0   | Apache Software License                                                                                        | Martin Durant                                                                                                               | https://github.com/dask/fastparquet/                                 | Python support for Parquet file format                                                                     |
| filelock                  | 3.17.0      | The Unlicense (Unlicense)                                                                                      | UNKNOWN                                                                                                                     | https://github.com/tox-dev/py-filelock                               | A platform independent file lock.                                                                          |
| fonttools                 | 4.55.5      | MIT License                                                                                                    | Just van Rossum                                                                                                             | http://github.com/fonttools/fonttools                                | Tools to manipulate font files                                                                             |
| fsspec                    | 2024.12.0   | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/fsspec/filesystem_spec                            | File-system specification                                                                                  |
| ftfy                      | 6.3.1       | Apache-2.0                                                                                                     | Robyn Speer <rspeer@arborelia.net>                                                                                          | https://ftfy.readthedocs.io/en/latest/                               | Fixes mojibake and other problems with Unicode, after the fact                                             |
| graphviz                  | 0.18        | MIT License                                                                                                    | Sebastian Bank                                                                                                              | https://github.com/xflr6/graphviz                                    | Simple Python interface for Graphviz                                                                       |
| h5netcdf                  | 1.4.1       | BSD License                                                                                                    | Stephan Hoyer <shoyer@gmail.com>, Kai Mühlbauer <kmuehlbauer@wradlib.org>                                                   | https://h5netcdf.org                                                 | netCDF4 via h5py                                                                                           |
| h5py                      | 3.12.1      | BSD License                                                                                                    | Andrew Collette <andrew.collette@gmail.com>                                                                                 | https://www.h5py.org/                                                | Read and write HDF5 files from Python                                                                      |
| hypothesis                | 6.124.2     | Mozilla Public License 2.0 (MPL 2.0)                                                                           | David R. MacIver and Zac Hatfield-Dodds                                                                                     | https://hypothesis.works                                             | A library for property-based testing                                                                       |
| identify                  | 2.6.6       | MIT License                                                                                                    | Chris Kuehl                                                                                                                 | https://github.com/pre-commit/identify                               | File identification library for Python                                                                     |
| idna                      | 3.10        | BSD License                                                                                                    | Kim Davies <kim+pypi@gumleaf.org>                                                                                           | https://github.com/kjd/idna                                          | Internationalized Domain Names in Applications (IDNA)                                                      |
| importlib_metadata        | 8.6.1       | Apache Software License                                                                                        | "Jason R. Coombs" <jaraco@jaraco.com>                                                                                       | https://github.com/python/importlib_metadata                         | Read metadata from Python packages                                                                         |
| iniconfig                 | 2.0.0       | MIT License                                                                                                    | Ronny Pfannschmidt <opensource@ronnypfannschmidt.de>, Holger Krekel <holger.krekel@gmail.com>                               | https://github.com/pytest-dev/iniconfig                              | brain-dead simple config-ini parsing                                                                       |
| interrogate               | 1.7.0       | MIT License                                                                                                    | Lynn Root                                                                                                                   | https://interrogate.readthedocs.io                                   | Interrogate a codebase for docstring coverage.                                                             |
| ipykernel                 | 6.29.5      | BSD License                                                                                                    | IPython Development Team <ipython-dev@scipy.org>                                                                            | https://ipython.org                                                  | IPython Kernel for Jupyter                                                                                 |
| ipython                   | 8.31.0      | BSD License                                                                                                    | The IPython Development Team                                                                                                | https://ipython.org                                                  | IPython: Productive Interactive Computing                                                                  |
| jedi                      | 0.19.2      | MIT License                                                                                                    | David Halter                                                                                                                | https://github.com/davidhalter/jedi                                  | An autocompletion tool for Python that can be used for text editors.                                       |
| joblib                    | 1.4.2       | BSD License                                                                                                    | Gael Varoquaux <gael.varoquaux@normalesup.org>                                                                              | https://joblib.readthedocs.io                                        | Lightweight pipelining with Python functions                                                               |
| jsonschema                | 4.23.0      | MIT License                                                                                                    | Julian Berman <Julian+jsonschema@GrayVines.com>                                                                             | https://github.com/python-jsonschema/jsonschema                      | An implementation of JSON Schema validation for Python                                                     |
| jsonschema-specifications | 2024.10.1   | MIT License                                                                                                    | Julian Berman <Julian+jsonschema-specifications@GrayVines.com>                                                              | https://github.com/python-jsonschema/jsonschema-specifications       | The JSON Schema meta-schemas and vocabularies, exposed as a Registry                                       |
| jupyter_client            | 8.6.3       | BSD License                                                                                                    | Jupyter Development Team <jupyter@googlegroups.com>                                                                         | https://jupyter.org                                                  | Jupyter protocol implementation and client libraries                                                       |
| jupyter_core              | 5.7.2       | BSD License                                                                                                    | Jupyter Development Team <jupyter@googlegroups.org>                                                                         | https://jupyter.org                                                  | Jupyter core package. A base package on which Jupyter projects rely.                                       |
| kiwisolver                | 1.4.8       | BSD License                                                                                                    | The Nucleic Development Team <sccolbert@gmail.com>                                                                          | https://github.com/nucleic/kiwi                                      | A fast implementation of the Cassowary constraint solver                                                   |
| llvmlite                  | 0.44.0      | BSD                                                                                                            | UNKNOWN                                                                                                                     | http://llvmlite.readthedocs.io                                       | lightweight wrapper around basic LLVM functionality                                                        |
| logical-unification       | 0.4.6       | BSD License                                                                                                    | UNKNOWN                                                                                                                     | http://github.com/pythological/unification/                          | Logical unification in Python                                                                              |
| markdown-it-py            | 3.0.0       | MIT License                                                                                                    | Chris Sewell <chrisj_sewell@hotmail.com>                                                                                    | https://github.com/executablebooks/markdown-it-py                    | Python port of markdown-it. Markdown parsing, done right!                                                  |
| matplotlib                | 3.10.0      | Python Software Foundation License                                                                             | John D. Hunter, Michael Droettboom                                                                                          | https://matplotlib.org                                               | Python plotting package                                                                                    |
| matplotlib-inline         | 0.1.7       | BSD License                                                                                                    | IPython Development Team <ipython-dev@python.org>                                                                           | https://github.com/ipython/matplotlib-inline                         | Inline Matplotlib backend for Jupyter                                                                      |
| mdurl                     | 0.1.2       | MIT License                                                                                                    | Taneli Hukkinen <hukkin@users.noreply.github.com>                                                                           | https://github.com/executablebooks/mdurl                             | Markdown URL utilities                                                                                     |
| miniKanren                | 1.0.3       | BSD License                                                                                                    | UNKNOWN                                                                                                                     | http://github.com/pythological/kanren                                | Relational programming in Python                                                                           |
| multipledispatch          | 1.0.0       | BSD                                                                                                            | Matthew Rocklin                                                                                                             | http://github.com/mrocklin/multipledispatch/                         | Multiple dispatch                                                                                          |
| nbformat                  | 5.10.4      | BSD License                                                                                                    | Jupyter Development Team <jupyter@googlegroups.com>                                                                         | https://jupyter.org                                                  | The Jupyter Notebook format                                                                                |
| nest_asyncio              | 1.6.0       | BSD License                                                                                                    | Ewald R. de Wit                                                                                                             | https://github.com/erdewit/nest_asyncio                              | Patch asyncio to allow nested event loops                                                                  |
| nodeenv                   | 1.9.1       | BSD License                                                                                                    | Eugene Kalinin                                                                                                              | https://github.com/ekalinin/nodeenv                                  | Node.js virtual environment builder                                                                        |
| numba                     | 0.61.0      | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://numba.pydata.org                                             | compiling Python code using LLVM                                                                           |
| numpy                     | 1.26.4      | BSD License                                                                                                    | Travis E. Oliphant et al.                                                                                                   | https://numpy.org                                                    | Fundamental package for array computing in Python                                                          |
| odfpy                     | 1.4.1       | Apache Software License; GNU General Public License (GPL); GNU Library or Lesser General Public License (LGPL) | Soren Roug                                                                                                                  | https://github.com/eea/odfpy                                         | Python API and tools to manipulate OpenDocument files                                                      |
| openpyxl                  | 3.1.5       | MIT License                                                                                                    | See AUTHORS                                                                                                                 | https://openpyxl.readthedocs.io                                      | A Python library to read/write Excel 2010 xlsx/xlsm files                                                  |
| optuna                    | 4.2.0       | MIT License                                                                                                    | Takuya Akiba                                                                                                                | https://optuna.org/                                                  | A hyperparameter optimization framework                                                                    |
| oreum_core                | 0.10.0      | Apache Software License                                                                                        | Oreum Industries <info@oreum.io>                                                                                            | https://github.com/oreum-industries/oreum_core                       | Core tools for use on projects by Oreum Industries                                                         |
| packaging                 | 24.2        | Apache Software License; BSD License                                                                           | Donald Stufft <donald@stufft.io>                                                                                            | https://github.com/pypa/packaging                                    | Core utilities for Python packages                                                                         |
| pandas                    | 2.2.3       | BSD License                                                                                                    | The Pandas Development Team <pandas-dev@python.org>                                                                         | https://pandas.pydata.org                                            | Powerful data structures for data analysis, time series, and statistics                                    |
| parso                     | 0.8.4       | MIT License                                                                                                    | David Halter                                                                                                                | https://github.com/davidhalter/parso                                 | A Python Parser                                                                                            |
| patsy                     | 1.0.1       | BSD License                                                                                                    | Nathaniel J. Smith                                                                                                          | https://github.com/pydata/patsy                                      | A Python package for describing statistical models and for building design matrices.                       |
| pbr                       | 6.1.0       | Apache Software License                                                                                        | OpenStack                                                                                                                   | https://docs.openstack.org/pbr/latest/                               | Python Build Reasonableness                                                                                |
| pexpect                   | 4.9.0       | ISC License (ISCL)                                                                                             | Noah Spurrier; Thomas Kluyver; Jeff Quast                                                                                   | https://pexpect.readthedocs.io/                                      | Pexpect allows easy control of interactive console applications.                                           |
| pickleshare               | 0.7.5       | MIT License                                                                                                    | Ville Vainio                                                                                                                | https://github.com/pickleshare/pickleshare                           | Tiny 'shelve'-like database with concurrency support                                                       |
| pillow                    | 11.1.0      | CMU License (MIT-CMU)                                                                                          | "Jeffrey A. Clark" <aclark@aclark.net>                                                                                      | https://python-pillow.github.io                                      | Python Imaging Library (Fork)                                                                              |
| pip                       | 24.3.1      | MIT License                                                                                                    | The pip developers <distutils-sig@python.org>                                                                               | https://pip.pypa.io/                                                 | The PyPA recommended tool for installing Python packages.                                                  |
| pip-licenses              | 5.0.0       | MIT License                                                                                                    | raimon <raimon49@hotmail.com>                                                                                               | https://github.com/raimon49/pip-licenses                             | Dump the software license list of Python packages installed with pip.                                      |
| pipdeptree                | 2.24.0      | MIT License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/tox-dev/pipdeptree                                | Command line utility to show dependency tree of packages.                                                  |
| platformdirs              | 4.3.6       | MIT License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/tox-dev/platformdirs                              | A small Python package for determining appropriate platform-specific dirs, e.g. a `user data dir`.         |
| plotly                    | 5.24.1      | MIT License                                                                                                    | Chris P                                                                                                                     | https://plotly.com/python/                                           | An open-source, interactive data visualization library for Python                                          |
| pluggy                    | 1.5.0       | MIT License                                                                                                    | Holger Krekel                                                                                                               | https://github.com/pytest-dev/pluggy                                 | plugin and hook calling mechanisms for python                                                              |
| pooch                     | 1.8.2       | BSD License                                                                                                    | The Pooch Developers <fatiandoaterra@protonmail.com>                                                                        | https://www.fatiando.org/pooch/latest/changes.html                   | A friend to fetch your data files                                                                          |
| pre_commit                | 4.1.0       | MIT License                                                                                                    | Anthony Sottile                                                                                                             | https://github.com/pre-commit/pre-commit                             | A framework for managing and maintaining multi-language pre-commit hooks.                                  |
| prettytable               | 3.13.0      | UNKNOWN                                                                                                        | Luke Maurits <luke@maurits.id.au>                                                                                           | https://github.com/prettytable/prettytable                           | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format      |
| prompt_toolkit            | 3.0.50      | BSD License                                                                                                    | Jonathan Slenders                                                                                                           | https://github.com/prompt-toolkit/python-prompt-toolkit              | Library for building powerful interactive command lines in Python                                          |
| psutil                    | 6.1.1       | BSD License                                                                                                    | Giampaolo Rodola                                                                                                            | https://github.com/giampaolo/psutil                                  | Cross-platform lib for process and system monitoring in Python.                                            |
| ptyprocess                | 0.7.0       | ISC License (ISCL)                                                                                             | Thomas Kluyver                                                                                                              | https://github.com/pexpect/ptyprocess                                | Run a subprocess in a pseudo terminal                                                                      |
| pure_eval                 | 0.2.3       | MIT License                                                                                                    | Alex Hall                                                                                                                   | http://github.com/alexmojaki/pure_eval                               | Safely evaluate AST nodes without side effects                                                             |
| py                        | 1.11.0      | MIT License                                                                                                    | holger krekel, Ronny Pfannschmidt, Benjamin Peterson and others                                                             | https://py.readthedocs.io/                                           | library with cross-python path, ini-parsing, io, code, log facilities                                      |
| pyarrow                   | 19.0.0      | Apache Software License                                                                                        | UNKNOWN                                                                                                                     | https://arrow.apache.org/                                            | Python library for Apache Arrow                                                                            |
| pymc                      | 5.20.0      | Apache Software License                                                                                        | UNKNOWN                                                                                                                     | http://github.com/pymc-devs/pymc                                     | Probabilistic Programming in Python: Bayesian Modeling and Probabilistic Machine Learning with PyTensor    |
| pynndescent               | 0.5.13      | BSD                                                                                                            | Leland McInnes                                                                                                              | http://github.com/lmcinnes/pynndescent                               | Nearest Neighbor Descent                                                                                   |
| pyparsing                 | 3.2.1       | MIT License                                                                                                    | Paul McGuire <ptmcg.gm+pyparsing@gmail.com>                                                                                 | https://github.com/pyparsing/pyparsing/                              | pyparsing module - Classes and methods to define and execute parsing grammars                              |
| pytensor                  | 2.26.4      | BSD License                                                                                                    | pymc-devs <pymc.devs@gmail.com>                                                                                             | https://github.com/pymc-devs/pytensor                                | Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.                              |
| pytest                    | 8.3.4       | MIT License                                                                                                    | Holger Krekel, Bruno Oliveira, Ronny Pfannschmidt, Floris Bruynooghe, Brianna Laugher, Florian Bruhin, Others (See AUTHORS) | https://docs.pytest.org/en/latest/                                   | pytest: simple powerful testing with Python                                                                |
| python-calamine           | 0.3.1       | MIT License                                                                                                    | Dmitriy <dimastbk@proton.me>                                                                                                | https://github.com/dimastbk/python-calamine                          | Python binding for Rust's library for reading excel and odf file - calamine                                |
| python-dateutil           | 2.9.0.post0 | Apache Software License; BSD License                                                                           | Gustavo Niemeyer                                                                                                            | https://github.com/dateutil/dateutil                                 | Extensions to the standard Python datetime module                                                          |
| pytz                      | 2024.2      | MIT License                                                                                                    | Stuart Bishop                                                                                                               | http://pythonhosted.org/pytz                                         | World timezone definitions, modern and historical                                                          |
| pyxlsb                    | 1.0.10      | GNU Lesser General Public License v3 or later (LGPLv3+)                                                        | William Turner                                                                                                              | https://github.com/willtrnr/pyxlsb                                   | Excel 2007-2010 Binary Workbook (xlsb) parser                                                              |
| pyzmq                     | 26.2.0      | BSD License                                                                                                    | Brian E. Granger, Min Ragan-Kelley                                                                                          | https://pyzmq.readthedocs.org                                        | Python bindings for 0MQ                                                                                    |
| referencing               | 0.36.1      | UNKNOWN                                                                                                        | Julian Berman <Julian+referencing@GrayVines.com>                                                                            | https://github.com/python-jsonschema/referencing                     | JSON Referencing + Python                                                                                  |
| requests                  | 2.32.3      | Apache Software License                                                                                        | Kenneth Reitz                                                                                                               | https://requests.readthedocs.io                                      | Python HTTP for Humans.                                                                                    |
| rich                      | 13.9.4      | MIT License                                                                                                    | Will McGugan                                                                                                                | https://github.com/Textualize/rich                                   | Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal            |
| rpds-py                   | 0.22.3      | MIT License                                                                                                    | Julian Berman <Julian+rpds@GrayVines.com>                                                                                   | https://github.com/crate-py/rpds                                     | Python bindings to Rust's persistent data structures (rpds)                                                |
| ruff                      | 0.9.3       | MIT License                                                                                                    | Charlie Marsh <charlie.r.marsh@gmail.com>                                                                                   | https://docs.astral.sh/ruff                                          | An extremely fast Python linter and code formatter, written in Rust.                                       |
| scikit-learn              | 1.6.1       | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://scikit-learn.org                                             | A set of python modules for machine learning and data mining                                               |
| scipy                     | 1.15.1      | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://scipy.org/                                                   | Fundamental algorithms for scientific computing in Python                                                  |
| seaborn                   | 0.13.2      | BSD License                                                                                                    | Michael Waskom <mwaskom@gmail.com>                                                                                          | https://github.com/mwaskom/seaborn                                   | Statistical data visualization                                                                             |
| setuptools                | 75.8.0      | MIT License                                                                                                    | Python Packaging Authority <distutils-sig@python.org>                                                                       | https://github.com/pypa/setuptools                                   | Easily download, build, install, upgrade, and uninstall Python packages                                    |
| shap                      | 0.46.0      | MIT License                                                                                                    | Scott Lundberg <slund1@cs.washington.edu>                                                                                   | http://github.com/shap/shap                                          | A unified approach to explain the output of any machine learning model.                                    |
| six                       | 1.17.0      | MIT License                                                                                                    | Benjamin Peterson                                                                                                           | https://github.com/benjaminp/six                                     | Python 2 and 3 compatibility utilities                                                                     |
| slicer                    | 0.0.8       | MIT License                                                                                                    | InterpretML                                                                                                                 | https://github.com/interpretml/slicer                                | A small package for big slicing.                                                                           |
| sortedcontainers          | 2.4.0       | Apache Software License                                                                                        | Grant Jenks                                                                                                                 | http://www.grantjenks.com/docs/sortedcontainers/                     | Sorted Containers -- Sorted List, Sorted Dict, Sorted Set                                                  |
| stack_data                | 0.6.3       | MIT License                                                                                                    | Alex Hall                                                                                                                   | http://github.com/alexmojaki/stack_data                              | Extract data from python stack frames and tracebacks for informative displays                              |
| statsmodels               | 0.14.4      | BSD License                                                                                                    | UNKNOWN                                                                                                                     | https://www.statsmodels.org/                                         | Statistical computations and models for Python                                                             |
| stevedore                 | 5.4.0       | Apache Software License                                                                                        | OpenStack                                                                                                                   | https://docs.openstack.org/stevedore/latest/                         | Manage dynamic plugins for Python applications                                                             |
| tabulate                  | 0.9.0       | MIT License                                                                                                    | Sergey Astanin <s.astanin@gmail.com>                                                                                        | https://github.com/astanin/python-tabulate                           | Pretty-print tabular data                                                                                  |
| tenacity                  | 9.0.0       | Apache Software License                                                                                        | Julien Danjou                                                                                                               | https://github.com/jd/tenacity                                       | Retry code until it succeeds                                                                               |
| threadpoolctl             | 3.5.0       | BSD License                                                                                                    | Thomas Moreau                                                                                                               | https://github.com/joblib/threadpoolctl                              | threadpoolctl                                                                                              |
| tomli                     | 2.2.1       | MIT License                                                                                                    | Taneli Hukkinen <hukkin@users.noreply.github.com>                                                                           | https://github.com/hukkin/tomli                                      | A lil' TOML parser                                                                                         |
| toolz                     | 1.0.0       | BSD License                                                                                                    | https://raw.github.com/pytoolz/toolz/master/AUTHORS.md                                                                      | https://github.com/pytoolz/toolz/                                    | List processing tools and functional utilities                                                             |
| tornado                   | 6.4.2       | Apache Software License                                                                                        | Facebook                                                                                                                    | http://www.tornadoweb.org/                                           | Tornado is a Python web framework and asynchronous networking library, originally developed at FriendFeed. |
| tqdm                      | 4.67.1      | MIT License; Mozilla Public License 2.0 (MPL 2.0)                                                              | UNKNOWN                                                                                                                     | https://tqdm.github.io                                               | Fast, Extensible Progress Meter                                                                            |
| traitlets                 | 5.14.3      | BSD License                                                                                                    | IPython Development Team <ipython-dev@python.org>                                                                           | https://github.com/ipython/traitlets                                 | Traitlets Python configuration system                                                                      |
| typing_extensions         | 4.12.2      | Python Software Foundation License                                                                             | "Guido van Rossum, Jukka Lehtosalo, Łukasz Langa, Michael Lee" <levkivskyi@gmail.com>                                       | https://github.com/python/typing_extensions                          | Backported and Experimental Type Hints for Python 3.8+                                                     |
| tzdata                    | 2025.1      | Apache Software License                                                                                        | Python Software Foundation                                                                                                  | https://github.com/python/tzdata                                     | Provider of IANA time zone data                                                                            |
| umap-learn                | 0.5.7       | BSD                                                                                                            | UNKNOWN                                                                                                                     | http://github.com/lmcinnes/umap                                      | Uniform Manifold Approximation and Projection                                                              |
| urllib3                   | 2.3.0       | MIT License                                                                                                    | Andrey Petrov <andrey.petrov@shazow.net>                                                                                    | https://github.com/urllib3/urllib3/blob/main/CHANGES.rst             | HTTP library with thread-safe connection pooling, file post, and more.                                     |
| virtualenv                | 20.29.1     | MIT License                                                                                                    | UNKNOWN                                                                                                                     | https://github.com/pypa/virtualenv                                   | Virtual Python Environment builder                                                                         |
| wcwidth                   | 0.2.13      | MIT License                                                                                                    | Jeff Quast                                                                                                                  | https://github.com/jquast/wcwidth                                    | Measures the displayed width of unicode strings in a terminal                                              |
| wheel                     | 0.45.1      | MIT License                                                                                                    | Daniel Holth <dholth@fastmail.fm>                                                                                           | https://github.com/pypa/wheel                                        | A built-package format for Python                                                                          |
| xarray                    | 2025.1.1    | Apache Software License                                                                                        | xarray Developers <xarray@googlegroups.com>                                                                                 | https://xarray.dev/                                                  | N-D labeled arrays and datasets in Python                                                                  |
| xarray-einstats           | 0.8.0       | Apache Software License                                                                                        | ArviZ team <arviz.devs@gmail.com>                                                                                           | https://github.com/arviz-devs/xarray-einstats                        | Stats, linear algebra and einops for xarray                                                                |
| xgboost                   | 2.1.3       | Apache Software License                                                                                        | Hyunsu Cho <chohyu01@cs.washington.edu>, Jiaming Yuan <jm.yuan@outlook.com>                                                 | https://github.com/dmlc/xgboost                                      | XGBoost Python Package                                                                                     |
| xlrd                      | 2.0.1       | BSD License                                                                                                    | Chris Withers                                                                                                               | http://www.python-excel.org/                                         | Library for developers to extract data from Microsoft Excel (tm) .xls spreadsheet files                    |
| zipp                      | 3.21.0      | MIT License                                                                                                    | "Jason R. Coombs" <jaraco@jaraco.com>                                                                                       | https://github.com/jaraco/zipp                                       | Backport of pathlib-compatible object wrapper for zip files                                                |
